<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title>fwCaenCrateSY1527Operation panel</title>
	<meta	http-equiv="Content-Type"
			content="text/html; charset=utf-8">
	<meta	content="Jonas Arroyo Garcia"
			name="author">
</head>
<body>
<p></p>
<table	style="width: 95%;"
		border="1"
		cellpadding="10"
		align="center">
	<tbody>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Panel Name<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<strong><br>fwCaenCrateSY1527Operation.pnl<br></strong><br>
			</td>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Introduction<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<br>This panel is used to monitor and control CAEN SY1527 family crates: SY1527, SY2527, SY4527.<br><br>
			</td>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Restrictions<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<br>Trending is not implemented.
				<br>
				<br>Alarms are partially implemented.
				<br>
				<br>
			</td>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Instructions<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<br>This panel will check SY1527 crate family model and will enable only information supply by the crate model.
				<br>
				<br>Crate communication is monitored on panel, in case of connection lost with the crate, all items label with be coloured as not connected (violet) and all commands will be blocked. You could see an example bellow in <a href="#disconnection-image">Disconnection panel</a>.
				<br>Communication monitoring is taking in care full readout chain:
					<ul>
						<li>WinCC OA - OPC server: WinCC OA OPC DA driver or simulator is monitored in the panel under <a href="#status-image">Crate status tab</a> with label <b>"Manager:"</b>.
						</li><br>
						<li>OPC server - CAEN device: this link is reported from the CAEN device, and read from OPC server. It is monitored in WinCC OA on same tab (Crate status) with the label <b>"Communication state:"</b>.
						</li>
					</ul>
				<br>Panel is divided in three main areas:
				<ul>
					<li>Device name area (top):</li>
						<br>It is a fixed area that will show you always hardware device name, alias device name (if is defined) and symbolic name (if is defined).<br><br><br>
					<li>Crate monitoring (middle):</li><br>This are is divided in three tabs:<br><br>
						<ul>
							<li>Crate information:
								<br>Shows crate names (HW, alias, and symbolic), model, firmware version, interfaces configuration, sessions opened in the crate, and system resources (memory and CPU usage).
								<br>You could see an image bellow called <a href="#information-image">Information panel</a>.
							</li><br>
							<li>Crate status:
								<br>This tab has resumed most of the crate information: communication state and statuses, voltage and currents on all crate subsystems and the backplane, finally a resume of all boards defined in WinCC OA for this crate (slot, model, number channels, board temperature, and summary alert).
								<br>You could see an image bellow called  <a href="#status-image">Status panel</a>.
							</li><br>
							<li>Trending:
								<br>Still on developing. It will show trends of customized variables set by the user on runtime.</li>
						</ul><br><br>
					<li>Crate commanding (bottom):</li>
						<br>Command tab has three sets of orders:<br><br>
						<ul>
							<li>General crate commands:
								<br>General crate commands like: Kill, clear alarm, format or change crate fan speed.
							</li><br>
							<li>Alarms control:
								<br>On this tab, could be controlled alarms defined on crate.
							</li><br>
							<li>Massive channel commanding:
								<br>All these actions are send recursively in the crate.
								<br>Main actions like for example power on/off channels, voltages and currents set points, ramping speeds and tripTime.
								<br>Only devices with these features will apply the settings to the hardware.
							</li>
						</ul>
						<br>You could see an image bellow called <a href="#command-image">Command panel</a>.
				</ul>
				<br><br>
			</td>
		</tr>
		<tr	valign="top" id="information-image">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Information panel image<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: center">
				<br>
				<img	src="fwCaenCrateSY1527Operation-information.jpg"
						alt="Information tab on panel screenshot"
						style="width: 668px; height: 793px;">
				</img>
				<br><br>
			</td>
		</tr>
		<tr	valign="top" id="status-image">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Status panel image<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: center">
				<br>
				<img	src="fwCaenCrateSY1527Operation-status.jpg"
						alt="Status tab on panel screenshot"
						style="width: 668px; height: 793px;">
				</img>
				<br><br>
			</td>
		</tr>
		<tr	valign="top" id="command-image">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Command panel image<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: center">
				<br>
				<img	src="fwCaenCrateSY1527Operation-commands.jpg"
						alt="Command tab on panel screenshot"
						style="width: 730px; height: 409px;">
				</img>
				<br><br>
			</td>
		</tr>
		<tr	valign="top" id="disconnection-image"> 
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Disconnection panel image<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: center">
				<br>
				<img	src="fwCaenCrateSY1527Operation-informationDisconnected.jpg"
						alt="Disconnected tab on panel screenshot"
						style="width: 668px; height: 793px;">
				</img>
				<br>
				<br>
				<img	src="fwCaenCrateSY1527Operation-statusDisconnected.jpg"
						alt="Disconnected tab on panel screenshot"
						style="width: 668px; height: 793px;">
				</img>
				<br><br>
			</td>
		</tr>
		<tr>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top; text-align: center"
				bgcolor="#00cc00"
				colspan="3">
				<strong><br>Dollar Parameters<br></strong><br>
			</td>
		</tr>
		<tr	bgcolor="#00cc00">
			<td	width="23%"
				style="vertical-align: middle; text-align: center;"><strong>Name</strong>
			</td>
			<td	width="62%"
				style="vertical-align: middle; text-align: center;"><strong>Description</strong>
			</td>
			<td	width="15%"
				style="vertical-align: middle; text-align: center;"><strong>Requiered<br>Optional</strong>
			</td>
		</tr>
		<tr>
			<td>$sDpName</td>
			<td>Device datapoint representing the SY1527 family CAEN crate.</td>
			<td	style="vertical-align: top; text-align: center;">Requiered</td>
		</tr>
	<tbody>
<table>
<br>
<br>
<table	style="width: 95%;"
		border="1"
		cellpadding="10"
		align="center">
	<tbody>
		<tr>
			<td	colspan="1"
				rowspan="1"
				style="vertical-align: top"
				bgcolor="#00cc00">
				<br><strong>New requests, issues, bugs...</strong><br><br>
			</td>
		</tr>
		<tr>
			<td	colspan="1"
				rowspan="1"
				style="vertical-align: top;">
				<br>
				<p>In case of new requests (new device, new functionality), issues, bugs, etc...</p>
				<p>Please contact:</p>
				<p align="center"><a href="mailto:icecontrols.support@cern.ch?subject=fwCaen%20-%20&body=Dear%20fwCaen%20support,%0D%0A%0D%0A">IceControls.Support@cern.ch</a></p>
				<p>Include in the email subjet: fwCaen + issue tittle.</p>
				<br>
				<p>Thank you</p>
				<br>
			</td>
		</tr>
	</tbody>
</table>
<br>
<br>
<br>
</body>
</html>
